org.apache.lucene.facet.search

## Class CountingAggregator

- java.lang.Object
- - org.apache.lucene.facet.search.CountingAggregator

- All Implemented Interfaces:
    Aggregator
  Direct Known Subclasses:
    ComplementCountingAggregator

      public class CountingAggregator
      extends Object
      implements Aggregator

  A CountingAggregator updates a counter array with the size of the whole taxonomy, counting the number of times each category appears in the given set of documents.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int[]` | `counterArray`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountingAggregator(int[] counterArray)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `aggregate(int docID, float score, IntsRef ordinals)` Aggregate the ordinals of the given document ID (and its score).
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `setNextReader(AtomicReaderContext context)` Sets the `AtomicReaderContext` for which `Aggregator.aggregate(int, float, IntsRef)` calls will be made.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### counterArray

          protected int[] counterArray

  - ### Constructor Detail

    - #### CountingAggregator

          public CountingAggregator(int[] counterArray)

  - ### Method Detail

    - #### aggregate

          public void aggregate(int docID,
                       float score,
                       IntsRef ordinals)
                         throws IOException

      Description copied from interface: `Aggregator`
      Aggregate the ordinals of the given document ID (and its score). The given ordinals offset is always zero.
      Specified by:
        `aggregate` in interface `Aggregator`
      Throws:
        `IOException`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setNextReader

          public boolean setNextReader(AtomicReaderContext context)
                                throws IOException

      Description copied from interface: `Aggregator`
      Sets the `AtomicReaderContext` for which `Aggregator.aggregate(int, float, IntsRef)` calls will be made. If this method returns false, `Aggregator.aggregate(int, float, IntsRef)` should not be called for this reader.
      Specified by:
        `setNextReader` in interface `Aggregator`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.